# Uses of Class
org.apache.commons.math3.geometry.spherical.oned.Arc

Packages that use Arc
Package
Description
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of Arc in org.apache.commons.math3.geometry.spherical.oned

Methods in org.apache.commons.math3.geometry.spherical.oned that return types with arguments of type Arc
Modifier and Type
Method
Description
`List<Arc>`
ArcsSet.`asList()`
Build an ordered list of arcs representing the instance.
Methods in org.apache.commons.math3.geometry.spherical.oned with parameters of type Arc
Modifier and Type
Method
Description
`Side`
ArcsSet.`side(Arc arc)`
Deprecated.
as of 3.6, replaced with `ArcsSet.split(Arc)`.`ArcsSet.Split.getSide()`
`ArcsSet.Split`
ArcsSet.`split(Arc arc)`
Split the instance in two parts by an arc.

## Uses of Arc in org.apache.commons.math3.geometry.spherical.twod

Methods in org.apache.commons.math3.geometry.spherical.twod that return Arc
Modifier and Type
Method
Description
`Arc`
Circle.`getInsideArc(Circle other)`
Get the arc of the instance that lies inside the other circle.